# Universal Command Language

Universal Command Language, or UCL, is a scripting language designed for use with REPLs or batch jobs.
It's heavily inspired by the likes of TCL and Bash, and it's purpose is to be usable as an interactive command
language while at the same time being useful enough as a scripting language for simple automation tasks.

The flavour of a particular UCL instance will depend heavily on the host environment. Most likely additional commands
will be defined, and some commands may be removed. But this page describes the features of a "typical" UCL instance.

## Example

```
proc greet { |someone|
    echo "Hello, $someone"
}

greet "world"
```

## Status

This is very much still in development and is subject to change.